package com.zcloud.domain.persistence.repository;

import com.alibaba.cola.dto.PageResponse;
import com.jjb.saas.framework.repository.repo.BaseRepository;
import com.zcloud.domain.persistence.dataobject.ProjectTaskScoreInfoDO;

import java.util.List;
import java.util.Map;

/**
 * web-infrastructure
 *
 * @Author zhaokai
 * @Date 2026-01-27 11:30:46
 */
public interface ProjectTaskScoreInfoRepository extends BaseRepository<ProjectTaskScoreInfoDO> {
    PageResponse<ProjectTaskScoreInfoDO> listPage(Map<String, Object> params);

    List<ProjectTaskScoreInfoDO> getListByUserIdList(List<Long> userIdList);

    List<ProjectTaskScoreInfoDO> getListByTaskId(String projectTaskId);

    void deleteByProjectTaskId(String projectTaskId);
}

